make check fails on amd64 Solaris
Patrick Pelissier
patrick.pelissier at gmail.com
Wed Sep 7 20:07:22 CEST 2005
See GMP page http://www.swox.com/gmp/#STATUS :
Users of MPFR are advised not to use the version distributed with GMP,
since that is obsolete and lacks several important bug fixes. Please
download a newer release of MPFR from www.mpfr.org before
contemplating to configure GMP with --enable-mpfr.
--
Patrick Pelissier
On 9/5/05, Alex S Moore <asmoore at edge.net> wrote:
> Please see included file. I cut out the tests that passed, and there
> were a lot of passed, before the fail.
>
> I am building gmp latest on Solaris amd64 with Sun's Studio 10 compiler.
> It fails one of the tests. What can I do to fix this?
>
> Thanks, Alex
>
>
>
> Making check in tests
> Making check in .
> <cut>
> make check-TESTS
> Making check in mpn
> Making check in mpz
> Making check in mpq
> Making check in mpf
> Making check in printf
> Making check in scanf
> Making check in cxx
> Making check in mpbsd
> Making check in mpfr
> Making check in tests
> make reuse tabs tadd tagm tcan_round tcmp tcmp2 tcmp_ui tdiv tdiv_ui tdump teq texp tget_str tlog tconst_log2 tmul tmul_2exp tmul_ui tout_str tconst_pi tpow trandom tround_prec tset_d tset_f tset_q tset_si tset_str tset_z tsqrt tsqrt_ui tui_div tui_sub tswap ttrunc trint tisnan tget_d tatan tcosh tsinh ttanh tacosh tasinh tatanh thyperbolic texp2 tfactorial tsub tasin tconst_euler tcos tsin ttan tsub_ui tset tlog1p texpm1 tlog2 tlog10 tui_pow tpow3 tadd_ui texceptions tfma thypot tacos
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f reuse.c || echo './'`reuse.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o reuse reuse.o ../libmpfr.a ../../libgmp.la -lm
> mkdir .libs
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/reuse reuse.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating reuse
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tabs.c || echo './'`tabs.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tabs tabs.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tabs tabs.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tabs
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tadd.c || echo './'`tadd.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tadd tadd.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tadd tadd.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tadd
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tagm.c || echo './'`tagm.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tagm tagm.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tagm tagm.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tagm
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tcan_round.c || echo './'`tcan_round.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tcan_round tcan_round.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tcan_round tcan_round.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tcan_round
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tcmp.c || echo './'`tcmp.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tcmp tcmp.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tcmp tcmp.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tcmp
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tcmp2.c || echo './'`tcmp2.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tcmp2 tcmp2.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tcmp2 tcmp2.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tcmp2
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tcmp_ui.c || echo './'`tcmp_ui.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tcmp_ui tcmp_ui.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tcmp_ui tcmp_ui.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tcmp_ui
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tdiv.c || echo './'`tdiv.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tdiv tdiv.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tdiv tdiv.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tdiv
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tdiv_ui.c || echo './'`tdiv_ui.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tdiv_ui tdiv_ui.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tdiv_ui tdiv_ui.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tdiv_ui
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tdump.c || echo './'`tdump.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tdump tdump.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tdump tdump.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tdump
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f teq.c || echo './'`teq.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o teq teq.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/teq teq.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating teq
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f texp.c || echo './'`texp.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o texp texp.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/texp texp.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating texp
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tget_str.c || echo './'`tget_str.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tget_str tget_str.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tget_str tget_str.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tget_str
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tlog.c || echo './'`tlog.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tlog tlog.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tlog tlog.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tlog
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tconst_log2.c || echo './'`tconst_log2.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tconst_log2 tconst_log2.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tconst_log2 tconst_log2.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tconst_log2
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tmul.c || echo './'`tmul.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tmul tmul.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tmul tmul.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tmul
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tmul_2exp.c || echo './'`tmul_2exp.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tmul_2exp tmul_2exp.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tmul_2exp tmul_2exp.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tmul_2exp
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tmul_ui.c || echo './'`tmul_ui.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tmul_ui tmul_ui.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tmul_ui tmul_ui.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tmul_ui
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tout_str.c || echo './'`tout_str.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tout_str tout_str.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tout_str tout_str.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tout_str
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tconst_pi.c || echo './'`tconst_pi.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tconst_pi tconst_pi.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tconst_pi tconst_pi.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tconst_pi
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tpow.c || echo './'`tpow.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tpow tpow.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tpow tpow.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tpow
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f trandom.c || echo './'`trandom.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o trandom trandom.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/trandom trandom.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating trandom
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tround_prec.c || echo './'`tround_prec.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tround_prec tround_prec.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tround_prec tround_prec.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tround_prec
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset_d.c || echo './'`tset_d.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset_d tset_d.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset_d tset_d.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset_d
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset_f.c || echo './'`tset_f.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset_f tset_f.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset_f tset_f.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset_f
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset_q.c || echo './'`tset_q.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset_q tset_q.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset_q tset_q.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset_q
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset_si.c || echo './'`tset_si.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset_si tset_si.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset_si tset_si.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset_si
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset_str.c || echo './'`tset_str.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset_str tset_str.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset_str tset_str.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset_str
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset_z.c || echo './'`tset_z.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset_z tset_z.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset_z tset_z.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset_z
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tsqrt.c || echo './'`tsqrt.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tsqrt tsqrt.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tsqrt tsqrt.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tsqrt
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tsqrt_ui.c || echo './'`tsqrt_ui.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tsqrt_ui tsqrt_ui.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tsqrt_ui tsqrt_ui.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tsqrt_ui
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tui_div.c || echo './'`tui_div.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tui_div tui_div.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tui_div tui_div.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tui_div
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tui_sub.c || echo './'`tui_sub.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tui_sub tui_sub.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tui_sub tui_sub.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tui_sub
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tswap.c || echo './'`tswap.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tswap tswap.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tswap tswap.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tswap
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f ttrunc.c || echo './'`ttrunc.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o ttrunc ttrunc.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/ttrunc ttrunc.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating ttrunc
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f trint.c || echo './'`trint.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o trint trint.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/trint trint.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating trint
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tisnan.c || echo './'`tisnan.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tisnan tisnan.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tisnan tisnan.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tisnan
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tget_d.c || echo './'`tget_d.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tget_d tget_d.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tget_d tget_d.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tget_d
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tatan.c || echo './'`tatan.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tatan tatan.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tatan tatan.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tatan
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tcosh.c || echo './'`tcosh.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tcosh tcosh.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tcosh tcosh.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tcosh
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tsinh.c || echo './'`tsinh.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tsinh tsinh.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tsinh tsinh.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tsinh
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f ttanh.c || echo './'`ttanh.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o ttanh ttanh.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/ttanh ttanh.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating ttanh
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tacosh.c || echo './'`tacosh.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tacosh tacosh.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tacosh tacosh.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tacosh
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tasinh.c || echo './'`tasinh.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tasinh tasinh.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tasinh tasinh.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tasinh
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tatanh.c || echo './'`tatanh.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tatanh tatanh.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tatanh tatanh.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tatanh
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f thyperbolic.c || echo './'`thyperbolic.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o thyperbolic thyperbolic.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/thyperbolic thyperbolic.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating thyperbolic
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f texp2.c || echo './'`texp2.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o texp2 texp2.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/texp2 texp2.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating texp2
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tfactorial.c || echo './'`tfactorial.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tfactorial tfactorial.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tfactorial tfactorial.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tfactorial
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tsub.c || echo './'`tsub.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tsub tsub.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tsub tsub.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tsub
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tasin.c || echo './'`tasin.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tasin tasin.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tasin tasin.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tasin
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tconst_euler.c || echo './'`tconst_euler.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tconst_euler tconst_euler.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tconst_euler tconst_euler.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tconst_euler
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tcos.c || echo './'`tcos.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tcos tcos.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tcos tcos.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tcos
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tsin.c || echo './'`tsin.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tsin tsin.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tsin tsin.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tsin
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f ttan.c || echo './'`ttan.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o ttan ttan.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/ttan ttan.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating ttan
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tsub_ui.c || echo './'`tsub_ui.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tsub_ui tsub_ui.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tsub_ui tsub_ui.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tsub_ui
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tset.c || echo './'`tset.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tset tset.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tset tset.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tset
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tlog1p.c || echo './'`tlog1p.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tlog1p tlog1p.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tlog1p tlog1p.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tlog1p
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f texpm1.c || echo './'`texpm1.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o texpm1 texpm1.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/texpm1 texpm1.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating texpm1
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tlog2.c || echo './'`tlog2.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tlog2 tlog2.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tlog2 tlog2.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tlog2
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tlog10.c || echo './'`tlog10.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tlog10 tlog10.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tlog10 tlog10.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tlog10
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tui_pow.c || echo './'`tui_pow.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tui_pow tui_pow.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tui_pow tui_pow.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tui_pow
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tpow3.c || echo './'`tpow3.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tpow3 tpow3.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tpow3 tpow3.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tpow3
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tadd_ui.c || echo './'`tadd_ui.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tadd_ui tadd_ui.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tadd_ui tadd_ui.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tadd_ui
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f texceptions.c || echo './'`texceptions.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o texceptions texceptions.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/texceptions texceptions.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating texceptions
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tfma.c || echo './'`tfma.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tfma tfma.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tfma tfma.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tfma
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f thypot.c || echo './'`thypot.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o thypot thypot.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/thypot thypot.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating thypot
> /opt/studio/SOS10/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../mpfr -xarch=amd64 -xarch=amd64 -c `test -f tacos.c || echo './'`tacos.c
> /bin/sh ../../libtool --mode=link /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o tacos tacos.o ../libmpfr.a ../../libgmp.la -lm
> /opt/studio/SOS10/SUNWspro/bin/cc -xarch=amd64 -o .libs/tacos tacos.o ../libmpfr.a ../../.libs/libgmp.so -lm -R/opt/csw/lib/amd64
> creating tacos
> make check-TESTS
> PASS: reuse
> PASS: tabs
> PASS: tadd
> PASS: tagm
> PASS: tcan_round
> Error in mpfr_cmp with x=-1.72800271916104484344e+210, y=-3.49867421426576882623e-112 mpfr_cmp(x,y)=0
> FAIL: tcmp
> PASS: tcmp2
> PASS: tcmp_ui
> PASS: tdiv
> PASS: tdiv_ui
> 0.00e0
> ^--- 0.00e0 printed above is ok
> PASS: tdump
> PASS: teq
> PASS: texp
> PASS: tget_str
> PASS: tlog
> PASS: tconst_log2
> PASS: tmul
> PASS: tmul_2exp
> PASS: tmul_ui
> PASS: tout_str
> PASS: tconst_pi
> PASS: tpow
> PASS: trandom
> PASS: tround_prec
> PASS: tset_d
> PASS: tset_f
> PASS: tset_q
> PASS: tset_si
> PASS: tset_str
> PASS: tset_z
> PASS: tsqrt
> PASS: tsqrt_ui
> PASS: tui_div
> PASS: tui_sub
> PASS: tswap
> PASS: ttrunc
> PASS: trint
> PASS: tisnan
> PASS: tget_d
> PASS: tatan
> PASS: tcosh
> PASS: tsinh
> PASS: ttanh
> PASS: tacosh
> PASS: tasinh
> PASS: tatanh
> PASS: thyperbolic
> PASS: texp2
> PASS: tfactorial
> PASS: tsub
> PASS: tasin
> PASS: tconst_euler
> PASS: tcos
> PASS: tsin
> PASS: ttan
> PASS: tsub_ui
> PASS: tset
> PASS: tlog1p
> PASS: texpm1
> PASS: tlog2
> PASS: tlog10
> PASS: tui_pow
> PASS: tpow3
> PASS: tadd_ui
> PASS: texceptions
> PASS: tfma
> PASS: thypot
> PASS: tacos
> ====================
> 1 of 68 tests failed
> ====================
> *** Error code 1
> The following command caused the error:
> failed=0; all=0; xfail=0; xpass=0; \
> srcdir=.; export srcdir; \
> list='reuse tabs tadd tagm tcan_round tcmp tcmp2 tcmp_ui tdiv tdiv_ui tdump teq texp tget_str tlog tconst_log2 tmul tmul_2exp tmul_ui tout_str tconst_pi tpow trandom tround_prec tset_d tset_f tset_q tset_si tset_str tset_z tsqrt tsqrt_ui tui_div tui_sub tswap ttrunc trint tisnan tget_d tatan tcosh tsinh ttanh tacosh tasinh tatanh thyperbolic texp2 tfactorial tsub tasin tconst_euler tcos tsin ttan tsub_ui tset tlog1p texpm1 tlog2 tlog10 tui_pow tpow3 tadd_ui texceptions tfma thypot tacos'; \
> if test -n "$list"; then \
> for tst in $list; do \
> if test -f ./$tst; then dir=./; \
> elif test -f $tst; then dir=; \
> else dir="./"; fi; \
> if ${dir}$tst; then \
> all=`expr $all + 1`; \
> case " " in \
> *" $tst "*) \
> xpass=`expr $xpass + 1`; \
> failed=`expr $failed + 1`; \
> echo "XPASS: $tst"; \
> ;; \
> *) \
> echo "PASS: $tst"; \
> ;; \
> esac; \
> elif test $? -ne 77; then \
> all=`expr $all + 1`; \
> case " " in \
> *" $tst "*) \
> xfail=`expr $xfail + 1`; \
> echo "XFAIL: $tst"; \
> ;; \
> *) \
> failed=`expr $failed + 1`; \
> echo "FAIL: $tst"; \
> ;; \
> esac; \
> fi; \
> done; \
> if test "$failed" -eq 0; then \
> if test "$xfail" -eq 0; then \
> banner="All $all tests passed"; \
> else \
> banner="All $all tests behaved as expected ($xfail expected failures)"; \
> fi; \
> else \
> if test "$xpass" -eq 0; then \
> banner="$failed of $all tests failed"; \
> else \
> banner="$failed of $all tests did not behave as expected ($xpass unexpected passes)"; \
> fi; \
> fi; \
> dashes=`echo "$banner" | sed s/./=/g`; \
> echo "$dashes"; \
> echo "$banner"; \
> echo "$dashes"; \
> test "$failed" -eq 0; \
> else \
> true; \
> fi
> make: Fatal error: Command failed for target `check-TESTS'
> Current working directory /export/medusa/asmoore/build/gmp-4.1.4/mpfr/tests
> *** Error code 1
> make: Fatal error: Command failed for target `check-am'
> Current working directory /export/medusa/asmoore/build/gmp-4.1.4/mpfr/tests
> *** Error code 1
> The following command caused the error:
> set fnord ; amf=$2; \
> dot_seen=no; \
> target=`echo check-recursive | sed s/-recursive//`; \
> list='tests'; for subdir in $list; do \
> echo "Making $target in $subdir"; \
> if test "$subdir" = "."; then \
> dot_seen=yes; \
> local_target="$target-am"; \
> else \
> local_target="$target"; \
> fi; \
> (cd $subdir && make $local_target) \
> || case "$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
> done; \
> if test "$dot_seen" = "no"; then \
> make "$target-am" || exit 1; \
> fi; test -z "$fail"
> make: Fatal error: Command failed for target `check-recursive'
> Current working directory /export/medusa/asmoore/build/gmp-4.1.4/mpfr
> *** Error code 1
> The following command caused the error:
> set fnord ; amf=$2; \
> dot_seen=no; \
> target=`echo check-recursive | sed s/-recursive//`; \
> list='tests mpn mpz mpq mpf printf scanf cxx mpbsd mpfr demos tune'; for subdir in $list; do \
> echo "Making $target in $subdir"; \
> if test "$subdir" = "."; then \
> dot_seen=yes; \
> local_target="$target-am"; \
> else \
> local_target="$target"; \
> fi; \
> (cd $subdir && make $local_target) \
> || case "$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
> done; \
> if test "$dot_seen" = "no"; then \
> make "$target-am" || exit 1; \
> fi; test -z "$fail"
> make: Fatal error: Command failed for target `check-recursive'
>
>
> _______________________________________________
> gmp-bugs mailing list
> gmp-bugs at swox.com
> https://gmplib.org/mailman/listinfo/gmp-bugs
>
>
>
More information about the gmp-bugs
mailing list